<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <!-- return ngay trong thẻ HTML -->
    <input type="text" onkeyup="return true"> 
    <!-- return trong một hàm  -->
    <hr>
    <hr>
    <form method="post" action="">
            Username: <input type="text" value="" name="username" id="username"/> <br/>
            Password: <input type="text" value="" name="password" id="password"/> <br/>
            Re-Password: <input type="text" value="" name="re-password" id="re-password"/> <br/>
            <button type="submit" value="Register" onclick=" return vadidate()">Register</button>        
          </form>
    <script>
        function vadidate(){
            var username = document.getElementById('username').value;
            var password = document.getElementById('password').value;
            var re_password = document.getElementById('re-password').value;

            if(username==""){
                alert('Bạn chưa nhập UserName!')
                return false;
            }
            if(password==''){
                alert('Bạn chưa nhập password!')
                return false
            }
            if(re_password != password){
                alert('Password không trùng khớp! Vui lòng nhập lại!')
                return false
            }
            return true
        }
    </script>
</body>
</html>